Subject: bug#20640: 24.5; lexical-binding should work like a normal file-local variable

From: Philipp Stephani <[email-masked]>
Date: Sun, 21 Jun 2015 20:08:52 +0000

Stefan Monnier <[email-masked]> schrieb am Mi., 27. Mai 2015 um
03:49 Uhr:

> > Even if the code were to check for "coding:" (which we already have to
> > scan the end of the file for) and "lexical-binding:" in the same pass?
>
> The check for "coding:" is a misdesign, indeed.  I think we should use
> some utf-8 tell-tale sign at the beginning of *.el files to eliminate
> the need to check for "coding:" (and to go through
> load-with-code-conversion) in the normal case.  It could be a utf-8 BOM
> or something like that.  Ideally we could give extra meaning to this
> marker so it not only means "uses utf-8" but also "uses
> lexical-scoping", so that we can have a future where we don't need to
> add "lexical-binding:t" to every file.
>
>
>
I don't think this is a misdesign. In most cases files are either seekable
or small enough so that reading the variables from the end is tolerable. I
prefer the end of files for local variables because they tend to be less
important than the actual content.